Get delayed quotes V2
curl --request GET \
--url 'https://api.benzinga.com/api/v2/quoteDelayed?token='import requests
url = "https://api.benzinga.com/api/v2/quoteDelayed?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2/quoteDelayed?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AAPL": {
"symbol": "AAPL",
"exchange": "XNAS",
"isoExchange": "XNAS",
"bzExchange": "NASDAQ",
"otcMarket": "",
"otcTier": "",
"type": "STOCK",
"name": "Apple",
"companyStandardName": "Apple Inc",
"description": "Apple Inc. - Common Stock",
"sector": "Information Technology",
"industry": "Technology Hardware, Storage & Peripherals",
"close": 273.76,
"bidPrice": 272.61,
"askPrice": 272.9,
"askSize": 1400,
"bidSize": 100,
"size": 5475595,
"bidTime": 1767094931000,
"askTime": 1767094931000,
"lastTradePrice": 272.88,
"lastTradeTime": 1767094765848,
"volume": 27899,
"change": -0.88,
"changePercent": -0.32,
"previousClosePrice": 273.4,
"previousCloseDate": "2025-12-26T16:00:00.000-05:00",
"closeDate": "2025-12-29T16:00:00.000-05:00",
"fiftyDayAveragePrice": 272.054,
"hundredDayAveragePrice": 256.237,
"twoHundredDayAveragePrice": 231.1605,
"averageVolume": 45744505,
"fiftyTwoWeekHigh": 288.62,
"fiftyTwoWeekLow": 169.2101,
"marketCap": 4032171206640,
"sharesOutstanding": 14776353000,
"sharesFloat": 14767891198,
"pe": 36.697051,
"forwardPE": 33.0033,
"dividendYield": 0.38,
"dividend": 1.04,
"payoutRatio": 13.67,
"ethPrice": 272.88,
"ethVolume": 27899,
"ethTime": 1767094765848,
"currency": "USD",
"issuerName": "Apple Inc",
"primary": true,
"shortDescription": "Ordinary Shares",
"issuerShortName": "Apple"
}
}
Delayed Quotes
Delayed Quotes data
Get delayed quotes for a list of symbols
GET
/
api
/
v2
/
quoteDelayed
Get delayed quotes V2
{
"AAPL": {
"symbol": "AAPL",
"exchange": "XNAS",
"isoExchange": "XNAS",
"bzExchange": "NASDAQ",
"otcMarket": "",
"otcTier": "",
"type": "STOCK",
"name": "Apple",
"companyStandardName": "Apple Inc",
"description": "Apple Inc. - Common Stock",
"sector": "Information Technology",
"industry": "Technology Hardware, Storage & Peripherals",
"close": 273.76,
"bidPrice": 272.61,
"askPrice": 272.9,
"askSize": 1400,
"bidSize": 100,
"size": 5475595,
"bidTime": 1767094931000,
"askTime": 1767094931000,
"lastTradePrice": 272.88,
"lastTradeTime": 1767094765848,
"volume": 27899,
"change": -0.88,
"changePercent": -0.32,
"previousClosePrice": 273.4,
"previousCloseDate": "2025-12-26T16:00:00.000-05:00",
"closeDate": "2025-12-29T16:00:00.000-05:00",
"fiftyDayAveragePrice": 272.054,
"hundredDayAveragePrice": 256.237,
"twoHundredDayAveragePrice": 231.1605,
"averageVolume": 45744505,
"fiftyTwoWeekHigh": 288.62,
"fiftyTwoWeekLow": 169.2101,
"marketCap": 4032171206640,
"sharesOutstanding": 14776353000,
"sharesFloat": 14767891198,
"pe": 36.697051,
"forwardPE": 33.0033,
"dividendYield": 0.38,
"dividend": 1.04,
"payoutRatio": 13.67,
"ethPrice": 272.88,
"ethVolume": 27899,
"ethTime": 1767094765848,
"currency": "USD",
"issuerName": "Apple Inc",
"primary": true,
"shortDescription": "Ordinary Shares",
"issuerShortName": "Apple"
}
}
Authorizations
Query Parameters
Comma-separated list of stock ticker symbols. At least one of symbols, isin, or cik is required.
Comma-separated list of ISIN identifiers. Maximum 50. At least one of symbols, isin, or cik is required.
Comma-separated list of CIK identifiers. At least one of symbols, isin, or cik is required.
Response
Returns a JSON object with delayed quotes
The response is of type string.
Was this page helpful?
⌘I